package com.ssj.service.conch.student.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/8/16
 */
public class SchoolmateFirstCommentDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 评论id
     */
    private String id;
    /**
     * 评论人名字
     */
    private String commentator;
    /**
     * 评论人头像
     */
    private String commentatorUrl;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 同学圈素材，多个素材用逗号隔开
     */
    private List<String> material;
    /**
     * 是否采纳(答题榜用到) 0:否 1:是
     */
    private int isAccept;
    /**
     * 点赞数量
     */
    private int  likeNum;
    /**
     * 2级评论数量
     */
    private int secondCount;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 是否点赞（0:否 1:是）
     */
    private int isLike;
    /**
     * 是否是我的朋友圈（0:否 1:是）
     */
    private int isMine;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommentator() {
        return commentator;
    }

    public void setCommentator(String commentator) {
        this.commentator = commentator;
    }

    public String getCommentatorUrl() {
        return commentatorUrl;
    }

    public void setCommentatorUrl(String commentatorUrl) {
        this.commentatorUrl = commentatorUrl;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getMaterial() {
        return material;
    }

    public void setMaterial(List<String> material) {
        this.material = material;
    }

    public int getIsAccept() {
        return isAccept;
    }

    public void setIsAccept(int isAccept) {
        this.isAccept = isAccept;
    }

    public int getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(int likeNum) {
        this.likeNum = likeNum;
    }

    public int getSecondCount() {
        return secondCount;
    }

    public void setSecondCount(int secondCount) {
        this.secondCount = secondCount;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public int getIsLike() {
        return isLike;
    }

    public void setIsLike(int isLike) {
        this.isLike = isLike;
    }

    public int getIsMine() {
        return isMine;
    }

    public void setIsMine(int isMine) {
        this.isMine = isMine;
    }
}
